App::Pinto::Command::list(3pm)

NAME
App::Pinto::Command::list - show the packages in a stack

VERSION
version 0.097

SYNOPSIS
  pinto --root=REPOSITORY_ROOT list [OPTIONS]

DESCRIPTION
This command lists the distributions and packages that are registered on a stack. You can format the output to see the specific bits of information that you want.

For a large repository, it can take a long time to list everything. So consider using the "--packages" or "--distributions" options to narrow the scope.

COMMAND ARGUMENTS
As an alternative to the "--stack" option, you can also specify the stack as an argument. So the following examples are equivalent:

  pinto --root REPOSITORY_ROOT list --stack dev
  pinto --root REPOSITORY_ROOT list dev

A stack specified as an argument in this fashion will override any stack specified with the "--stack" option. If a stack is not specified by neither argument nor option, then it defaults to the stack that is currently marked as the default stack.

COMMAND OPTIONS

--author AUTHOR
-A AUTHOR
    Limit the listing to records where the distribution author is AUTHOR. Note this is an exact match, not a pattern match. However, it is not case sensitive.

--distributions PATTERN
-D PATTERN
    Limit the listing to records where the distribution archive name matches "PATTERN". Note that "PATTERN" is just a plain string, not a regular expression. The "PATTERN" will match if it appears anywhere in the distribution archive name.

--format FORMAT_SPECIFICATION
    Format of the output using "printf"-style placeholders. Valid placeholders are:

      Placeholder    Meaning
      -----------------------------------------------------------------------------
      %p             Package name
      %P             Package name-version
      %v             Package version
      %y             Pin status:                     (!) = is pinned
      %a             Distribution author
      %f             Distribution archive filename
      %m             Distribution maturity:          (d) = developer, (r) = release
      %h             Distribution index path [1]
      %H             Distribution physical path [2]
      %s             Distribution origin:            (l) = local,     (f) = foreign
      %S             Distribution source
      %d             Distribution name
      %D             Distribution name-version
      %V             Distribution version
      %u             Distribution url
      %%             A literal '%'

      [1]: The index path is always a Unix-style path fragment, as it
           appears in the 02packages.details.txt index file.

      [2]: The physical path is always in the native style for this OS,
           and is relative to the root directory of the repository.

    You can also specify the minimum field widths and left or right justification, using the usual notation. For example, the default format looks something like this:

      %m%s %-38n %12v %a/%f\n

--packages PATTERN
-P PATTERN
    Limit the listing to records where the package name matches "PATTERN". Note that "PATTERN" is just a plain string, not a regular expression. The "PATTERN" will match if it appears anywhere in the package name.

--pinned
    Limit the listing to records for packages that are pinned.

--stack NAME
-s NAME
    List the contents of the stack with the given NAME. Defaults to the name of whichever stack is currently marked as the default stack. Use the stacks command to see the stacks in the repository.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.